FairMQPollerNN Class Referencefinal
Inheritance diagram for FairMQPollerNN:
[legend]
Collaboration diagram for FairMQPollerNN:
[legend]

## Public Member Functions

| FairMQPollerNN (const std::vector< FairMQChannel > &channels)
| FairMQPollerNN (const std::vector< FairMQChannel *> &channels)
| FairMQPollerNN (const std::unordered_map< std::string, std::vector< FairMQChannel >> &channelsMap, const std::vector< std::string > &channelList)
| FairMQPollerNN (const FairMQPollerNN &)=delete
FairMQPollerNN | operator= (const FairMQPollerNN &)=delete
void | SetItemEvents (nn_pollfd &item, const int type)
void | Poll (const int timeout) override
bool | CheckInput (const int index) override
bool | CheckOutput (const int index) override
bool | CheckInput (const std::string &channelKey, const int index) override
bool | CheckOutput (const std::string &channelKey, const int index) override

## Friends

class | FairMQChannel
class | FairMQTransportFactoryNN

The documentation for this class was generated from the following files:

- fairmq/nanomsg/FairMQPollerNN.h
- fairmq/nanomsg/FairMQPollerNN.cxx

privacy